org.apache.fop.pdf

## Enum StandardStructureAttributes.Table.Scope

- java.lang.Object
- - java.lang.Enum<StandardStructureAttributes.Table.Scope>
  - - org.apache.fop.pdf.StandardStructureAttributes.Table.Scope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardStructureAttributes.Table.Scope>
  Enclosing class:
    StandardStructureAttributes.Table

      public static enum StandardStructureAttributes.Table.Scope
      extends java.lang.Enum<StandardStructureAttributes.Table.Scope>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH`
    `COLUMN`
    `ROW`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFName` | `getName()` Returns the name of this attribute.
    `static StandardStructureAttributes.Table.Scope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardStructureAttributes.Table.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROW

          public static final StandardStructureAttributes.Table.Scope ROW

    - #### COLUMN

          public static final StandardStructureAttributes.Table.Scope COLUMN

    - #### BOTH

          public static final StandardStructureAttributes.Table.Scope BOTH

  - ### Method Detail

    - #### values

          public static StandardStructureAttributes.Table.Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardStructureAttributes.Table.Scope c : StandardStructureAttributes.Table.Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardStructureAttributes.Table.Scope valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public PDFName getName()

      Returns the name of this attribute.
      Returns:
        a name suitable for use as a value in the attribute's dictionary

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.